FROM 10.165.153.100:82/library/pig4cloud/java:8-jre

MAINTAINER wangiegie@gmail.com

ENV TZ=Asia/Shanghai
ENV JAVA_OPTS="-Xms512m -Xmx1024m -Djava.security.egd=file:/dev/./urandom"

RUN ln -sf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ > /etc/timezone

RUN mkdir -p /avenue-upms

WORKDIR /avenue-upms

EXPOSE 4000

ADD ./target/avenue-upms-biz.jar ./

CMD java $JAVA_OPTS -jar avenue-upms-biz.jar
